%define upstream_name    MetaCPAN-API-Tiny
%define upstream_version 1.150270

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Tiny API client for MetaCPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MetaCPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Tiny) >= 0.17.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the Tiny version of the MetaCPAN::API manpage. It implements a
compatible API with a few notable exceptions:

* Attributes are direct hash access

  The attributes defined using Mo(o|u)se are now accessed via the blessed
  hash directly. There are no accessors defined to access this elements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.150.270-3.mga6
+ Revision: 1029882
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.150.270-2.mga6
+ Revision: 968392
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.150.270-1.mga6
+ Revision: 852157
- update to 1.150270

* Wed Oct 15 2014 umeabot <umeabot> 1.131.730-3.mga5
+ Revision: 744366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.131.730-2.mga5
+ Revision: 685396
- Mageia 5 Mass Rebuild

* Mon Apr 21 2014 shlomif <shlomif> 1.131.730-1.mga5
+ Revision: 617259
- imported package perl-MetaCPAN-API-Tiny


* Mon Apr 21 2014 cpan2dist 1.131730-1mga
- initial mageia release, generated with cpan2dist
